### Hierarchy

- Tag
  - TagFilter

## Index

### Inputs

- class
- closeButtonLabel
- disabled
- title
- type

### Outputs

- click
- close

### Properties

- class
- click
- close
- closeButtonLabel
- disabled
- title
- type

### Accessors

- attrAriaLabel
- attrClass

### Methods

- onClick
- onClose

## Properties

### class

@Input()
class: string = ""

Inherited from Tag.class

- Defined in src/tag/tag.component.ts:31

### click

@Output()
click: EventEmitter<object> = new EventEmitter<{ action: "click" | "close" }>()

- Defined in src/tag/tag-filter.component.ts:47

### close

@Output()
close: EventEmitter<any> = new EventEmitter<any>()

- Defined in src/tag/tag-filter.component.ts:37

### closeButtonLabel

@Input()
closeButtonLabel: string = "Clear Filter"

- Defined in src/tag/tag-filter.component.ts:30

### disabled

@Input()
disabled: boolean

- Defined in src/tag/tag-filter.component.ts:31

### title

@Input()
title: string

- Defined in src/tag/tag-filter.component.ts:32

### type

@Input()
type: TagType = "gray"

Inherited from Tag.type

- Defined in src/tag/tag.component.ts:29

## Accessors

### attrAriaLabel

@HostBinding({"hostPropertyName":"attr.aria-label"})
attrAriaLabel:

- Defined in src/tag/tag-filter.component.ts:64

### attrClass

@HostBinding({"hostPropertyName":"attr.class"})
attrClass:

Overrides Tag.attrClass

- Defined in src/tag/tag-filter.component.ts:60

## Methods

### onClick

- onClick(event: any): void

- - Defined in src/tag/tag-filter.component.ts:49

  #### Parameters

  - ##### event: any

  #### Returns void

### onClose

- onClose(event: any): void

- - Defined in src/tag/tag-filter.component.ts:54

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc